Subject: Re: linux-next: manual merge of the sound tree with the omap tree

From: Takashi Iwai <[email-masked]>
Date: Fri, 13 Nov 2009 14:06:44 +0100

At Fri, 13 Nov 2009 12:39:01 +0000,
Mark Brown wrote:
> 
> On Fri, Nov 13, 2009 at 01:19:47PM +1100, Stephen Rothwell wrote:
> 
> > Today's linux-next merge of the sound tree got a conflict in
> > arch/arm/mach-omap2/board-zoom2.c between commit
> > 3541a57ebeb4c817e6e25bb0c2a2c174d6edb7c4 ("omap: zoom2: split board file
> > for software reuse") from the omap tree and commits
> > f8d9aad96d0d7b57d0bf2e4de21fdda3a42f4449 ("OMAP: Platform support for
> > twl4030_codec MFD") and 953e2f3d272db9db6671ad4f4244820557a71cf7 ("OMAP:
> > Configure audio_mclk for twl4030-codec MFD") from the sound tree.
> 
> > The former moved the code that the latter modifies into another file.  I
> > have added the following merge fixup patch and can carry it as necessary.
> 
> Adding Tony for the OMAP tree - as discussed previously you could merge
> 
> git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound-2.6.git twl4030-mfd
> 
> into the OMAP tree to resolve this.  There's some older ASoC changes in
> there to ensure the patches applied but I'm happy for you to carry those
> providing Takashi is.

I can merge the tree above to for-next branch of sound git tree, too.
In that way, we can keep asoc branches clean.

thanks,

Takashi